Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network64.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
64.2.64.0
Broadcast address
64.2.95.255
First usable
64.2.64.1
Last usable
64.2.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 40024000 · Integer 1073889280 to 1073897471
Reverse DNS zones
64.2.64.in-addr.arpa
65.2.64.in-addr.arpa
66.2.64.in-addr.arpa
67.2.64.in-addr.arpa
68.2.64.in-addr.arpa
69.2.64.in-addr.arpa
70.2.64.in-addr.arpa
71.2.64.in-addr.arpa
72.2.64.in-addr.arpa
73.2.64.in-addr.arpa
74.2.64.in-addr.arpa
75.2.64.in-addr.arpa
76.2.64.in-addr.arpa
77.2.64.in-addr.arpa
78.2.64.in-addr.arpa
79.2.64.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000000.00000010.01000000.0000000064.2.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01000000.00000010.01000000.0000000064.2.64.0
Broadcast01000000.00000010.01011111.1111111164.2.95.255
Split into smaller subnets/27

64.2.64.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
164.2.64.0/2764.2.64.1 to 64.2.64.3064.2.64.3130
264.2.64.32/2764.2.64.33 to 64.2.64.6264.2.64.6330
364.2.64.64/2764.2.64.65 to 64.2.64.9464.2.64.9530
464.2.64.96/2764.2.64.97 to 64.2.64.12664.2.64.12730
564.2.64.128/2764.2.64.129 to 64.2.64.15864.2.64.15930
664.2.64.160/2764.2.64.161 to 64.2.64.19064.2.64.19130
764.2.64.192/2764.2.64.193 to 64.2.64.22264.2.64.22330
864.2.64.224/2764.2.64.225 to 64.2.64.25464.2.64.25530
964.2.65.0/2764.2.65.1 to 64.2.65.3064.2.65.3130
1064.2.65.32/2764.2.65.33 to 64.2.65.6264.2.65.6330
1164.2.65.64/2764.2.65.65 to 64.2.65.9464.2.65.9530
1264.2.65.96/2764.2.65.97 to 64.2.65.12664.2.65.12730
1364.2.65.128/2764.2.65.129 to 64.2.65.15864.2.65.15930
1464.2.65.160/2764.2.65.161 to 64.2.65.19064.2.65.19130
1564.2.65.192/2764.2.65.193 to 64.2.65.22264.2.65.22330
1664.2.65.224/2764.2.65.225 to 64.2.65.25464.2.65.25530
1764.2.66.0/2764.2.66.1 to 64.2.66.3064.2.66.3130
1864.2.66.32/2764.2.66.33 to 64.2.66.6264.2.66.6330
1964.2.66.64/2764.2.66.65 to 64.2.66.9464.2.66.9530
2064.2.66.96/2764.2.66.97 to 64.2.66.12664.2.66.12730
2164.2.66.128/2764.2.66.129 to 64.2.66.15864.2.66.15930
2264.2.66.160/2764.2.66.161 to 64.2.66.19064.2.66.19130
2364.2.66.192/2764.2.66.193 to 64.2.66.22264.2.66.22330
2464.2.66.224/2764.2.66.225 to 64.2.66.25464.2.66.25530
2564.2.67.0/2764.2.67.1 to 64.2.67.3064.2.67.3130
2664.2.67.32/2764.2.67.33 to 64.2.67.6264.2.67.6330
2764.2.67.64/2764.2.67.65 to 64.2.67.9464.2.67.9530
2864.2.67.96/2764.2.67.97 to 64.2.67.12664.2.67.12730
2964.2.67.128/2764.2.67.129 to 64.2.67.15864.2.67.15930
3064.2.67.160/2764.2.67.161 to 64.2.67.19064.2.67.19130
3164.2.67.192/2764.2.67.193 to 64.2.67.22264.2.67.22330
3264.2.67.224/2764.2.67.225 to 64.2.67.25464.2.67.25530
3364.2.68.0/2764.2.68.1 to 64.2.68.3064.2.68.3130
3464.2.68.32/2764.2.68.33 to 64.2.68.6264.2.68.6330
3564.2.68.64/2764.2.68.65 to 64.2.68.9464.2.68.9530
3664.2.68.96/2764.2.68.97 to 64.2.68.12664.2.68.12730
3764.2.68.128/2764.2.68.129 to 64.2.68.15864.2.68.15930
3864.2.68.160/2764.2.68.161 to 64.2.68.19064.2.68.19130
3964.2.68.192/2764.2.68.193 to 64.2.68.22264.2.68.22330
4064.2.68.224/2764.2.68.225 to 64.2.68.25464.2.68.25530
4164.2.69.0/2764.2.69.1 to 64.2.69.3064.2.69.3130
4264.2.69.32/2764.2.69.33 to 64.2.69.6264.2.69.6330
4364.2.69.64/2764.2.69.65 to 64.2.69.9464.2.69.9530
4464.2.69.96/2764.2.69.97 to 64.2.69.12664.2.69.12730
4564.2.69.128/2764.2.69.129 to 64.2.69.15864.2.69.15930
4664.2.69.160/2764.2.69.161 to 64.2.69.19064.2.69.19130
4764.2.69.192/2764.2.69.193 to 64.2.69.22264.2.69.22330
4864.2.69.224/2764.2.69.225 to 64.2.69.25464.2.69.25530
4964.2.70.0/2764.2.70.1 to 64.2.70.3064.2.70.3130
5064.2.70.32/2764.2.70.33 to 64.2.70.6264.2.70.6330
5164.2.70.64/2764.2.70.65 to 64.2.70.9464.2.70.9530
5264.2.70.96/2764.2.70.97 to 64.2.70.12664.2.70.12730
5364.2.70.128/2764.2.70.129 to 64.2.70.15864.2.70.15930
5464.2.70.160/2764.2.70.161 to 64.2.70.19064.2.70.19130
5564.2.70.192/2764.2.70.193 to 64.2.70.22264.2.70.22330
5664.2.70.224/2764.2.70.225 to 64.2.70.25464.2.70.25530
5764.2.71.0/2764.2.71.1 to 64.2.71.3064.2.71.3130
5864.2.71.32/2764.2.71.33 to 64.2.71.6264.2.71.6330
5964.2.71.64/2764.2.71.65 to 64.2.71.9464.2.71.9530
6064.2.71.96/2764.2.71.97 to 64.2.71.12664.2.71.12730
6164.2.71.128/2764.2.71.129 to 64.2.71.15864.2.71.15930
6264.2.71.160/2764.2.71.161 to 64.2.71.19064.2.71.19130
6364.2.71.192/2764.2.71.193 to 64.2.71.22264.2.71.22330
6464.2.71.224/2764.2.71.225 to 64.2.71.25464.2.71.25530
6564.2.72.0/2764.2.72.1 to 64.2.72.3064.2.72.3130
6664.2.72.32/2764.2.72.33 to 64.2.72.6264.2.72.6330
6764.2.72.64/2764.2.72.65 to 64.2.72.9464.2.72.9530
6864.2.72.96/2764.2.72.97 to 64.2.72.12664.2.72.12730
6964.2.72.128/2764.2.72.129 to 64.2.72.15864.2.72.15930
7064.2.72.160/2764.2.72.161 to 64.2.72.19064.2.72.19130
7164.2.72.192/2764.2.72.193 to 64.2.72.22264.2.72.22330
7264.2.72.224/2764.2.72.225 to 64.2.72.25464.2.72.25530
7364.2.73.0/2764.2.73.1 to 64.2.73.3064.2.73.3130
7464.2.73.32/2764.2.73.33 to 64.2.73.6264.2.73.6330
7564.2.73.64/2764.2.73.65 to 64.2.73.9464.2.73.9530
7664.2.73.96/2764.2.73.97 to 64.2.73.12664.2.73.12730
7764.2.73.128/2764.2.73.129 to 64.2.73.15864.2.73.15930
7864.2.73.160/2764.2.73.161 to 64.2.73.19064.2.73.19130
7964.2.73.192/2764.2.73.193 to 64.2.73.22264.2.73.22330
8064.2.73.224/2764.2.73.225 to 64.2.73.25464.2.73.25530
8164.2.74.0/2764.2.74.1 to 64.2.74.3064.2.74.3130
8264.2.74.32/2764.2.74.33 to 64.2.74.6264.2.74.6330
8364.2.74.64/2764.2.74.65 to 64.2.74.9464.2.74.9530
8464.2.74.96/2764.2.74.97 to 64.2.74.12664.2.74.12730
8564.2.74.128/2764.2.74.129 to 64.2.74.15864.2.74.15930
8664.2.74.160/2764.2.74.161 to 64.2.74.19064.2.74.19130
8764.2.74.192/2764.2.74.193 to 64.2.74.22264.2.74.22330
8864.2.74.224/2764.2.74.225 to 64.2.74.25464.2.74.25530
8964.2.75.0/2764.2.75.1 to 64.2.75.3064.2.75.3130
9064.2.75.32/2764.2.75.33 to 64.2.75.6264.2.75.6330
9164.2.75.64/2764.2.75.65 to 64.2.75.9464.2.75.9530
9264.2.75.96/2764.2.75.97 to 64.2.75.12664.2.75.12730
9364.2.75.128/2764.2.75.129 to 64.2.75.15864.2.75.15930
9464.2.75.160/2764.2.75.161 to 64.2.75.19064.2.75.19130
9564.2.75.192/2764.2.75.193 to 64.2.75.22264.2.75.22330
9664.2.75.224/2764.2.75.225 to 64.2.75.25464.2.75.25530
9764.2.76.0/2764.2.76.1 to 64.2.76.3064.2.76.3130
9864.2.76.32/2764.2.76.33 to 64.2.76.6264.2.76.6330
9964.2.76.64/2764.2.76.65 to 64.2.76.9464.2.76.9530
10064.2.76.96/2764.2.76.97 to 64.2.76.12664.2.76.12730
10164.2.76.128/2764.2.76.129 to 64.2.76.15864.2.76.15930
10264.2.76.160/2764.2.76.161 to 64.2.76.19064.2.76.19130
10364.2.76.192/2764.2.76.193 to 64.2.76.22264.2.76.22330
10464.2.76.224/2764.2.76.225 to 64.2.76.25464.2.76.25530
10564.2.77.0/2764.2.77.1 to 64.2.77.3064.2.77.3130
10664.2.77.32/2764.2.77.33 to 64.2.77.6264.2.77.6330
10764.2.77.64/2764.2.77.65 to 64.2.77.9464.2.77.9530
10864.2.77.96/2764.2.77.97 to 64.2.77.12664.2.77.12730
10964.2.77.128/2764.2.77.129 to 64.2.77.15864.2.77.15930
11064.2.77.160/2764.2.77.161 to 64.2.77.19064.2.77.19130
11164.2.77.192/2764.2.77.193 to 64.2.77.22264.2.77.22330
11264.2.77.224/2764.2.77.225 to 64.2.77.25464.2.77.25530
11364.2.78.0/2764.2.78.1 to 64.2.78.3064.2.78.3130
11464.2.78.32/2764.2.78.33 to 64.2.78.6264.2.78.6330
11564.2.78.64/2764.2.78.65 to 64.2.78.9464.2.78.9530
11664.2.78.96/2764.2.78.97 to 64.2.78.12664.2.78.12730
11764.2.78.128/2764.2.78.129 to 64.2.78.15864.2.78.15930
11864.2.78.160/2764.2.78.161 to 64.2.78.19064.2.78.19130
11964.2.78.192/2764.2.78.193 to 64.2.78.22264.2.78.22330
12064.2.78.224/2764.2.78.225 to 64.2.78.25464.2.78.25530
12164.2.79.0/2764.2.79.1 to 64.2.79.3064.2.79.3130
12264.2.79.32/2764.2.79.33 to 64.2.79.6264.2.79.6330
12364.2.79.64/2764.2.79.65 to 64.2.79.9464.2.79.9530
12464.2.79.96/2764.2.79.97 to 64.2.79.12664.2.79.12730
12564.2.79.128/2764.2.79.129 to 64.2.79.15864.2.79.15930
12664.2.79.160/2764.2.79.161 to 64.2.79.19064.2.79.19130
12764.2.79.192/2764.2.79.193 to 64.2.79.22264.2.79.22330
12864.2.79.224/2764.2.79.225 to 64.2.79.25464.2.79.25530
12964.2.80.0/2764.2.80.1 to 64.2.80.3064.2.80.3130
13064.2.80.32/2764.2.80.33 to 64.2.80.6264.2.80.6330
13164.2.80.64/2764.2.80.65 to 64.2.80.9464.2.80.9530
13264.2.80.96/2764.2.80.97 to 64.2.80.12664.2.80.12730
13364.2.80.128/2764.2.80.129 to 64.2.80.15864.2.80.15930
13464.2.80.160/2764.2.80.161 to 64.2.80.19064.2.80.19130
13564.2.80.192/2764.2.80.193 to 64.2.80.22264.2.80.22330
13664.2.80.224/2764.2.80.225 to 64.2.80.25464.2.80.25530
13764.2.81.0/2764.2.81.1 to 64.2.81.3064.2.81.3130
13864.2.81.32/2764.2.81.33 to 64.2.81.6264.2.81.6330
13964.2.81.64/2764.2.81.65 to 64.2.81.9464.2.81.9530
14064.2.81.96/2764.2.81.97 to 64.2.81.12664.2.81.12730
14164.2.81.128/2764.2.81.129 to 64.2.81.15864.2.81.15930
14264.2.81.160/2764.2.81.161 to 64.2.81.19064.2.81.19130
14364.2.81.192/2764.2.81.193 to 64.2.81.22264.2.81.22330
14464.2.81.224/2764.2.81.225 to 64.2.81.25464.2.81.25530
14564.2.82.0/2764.2.82.1 to 64.2.82.3064.2.82.3130
14664.2.82.32/2764.2.82.33 to 64.2.82.6264.2.82.6330
14764.2.82.64/2764.2.82.65 to 64.2.82.9464.2.82.9530
14864.2.82.96/2764.2.82.97 to 64.2.82.12664.2.82.12730
14964.2.82.128/2764.2.82.129 to 64.2.82.15864.2.82.15930
15064.2.82.160/2764.2.82.161 to 64.2.82.19064.2.82.19130
15164.2.82.192/2764.2.82.193 to 64.2.82.22264.2.82.22330
15264.2.82.224/2764.2.82.225 to 64.2.82.25464.2.82.25530
15364.2.83.0/2764.2.83.1 to 64.2.83.3064.2.83.3130
15464.2.83.32/2764.2.83.33 to 64.2.83.6264.2.83.6330
15564.2.83.64/2764.2.83.65 to 64.2.83.9464.2.83.9530
15664.2.83.96/2764.2.83.97 to 64.2.83.12664.2.83.12730
15764.2.83.128/2764.2.83.129 to 64.2.83.15864.2.83.15930
15864.2.83.160/2764.2.83.161 to 64.2.83.19064.2.83.19130
15964.2.83.192/2764.2.83.193 to 64.2.83.22264.2.83.22330
16064.2.83.224/2764.2.83.225 to 64.2.83.25464.2.83.25530
16164.2.84.0/2764.2.84.1 to 64.2.84.3064.2.84.3130
16264.2.84.32/2764.2.84.33 to 64.2.84.6264.2.84.6330
16364.2.84.64/2764.2.84.65 to 64.2.84.9464.2.84.9530
16464.2.84.96/2764.2.84.97 to 64.2.84.12664.2.84.12730
16564.2.84.128/2764.2.84.129 to 64.2.84.15864.2.84.15930
16664.2.84.160/2764.2.84.161 to 64.2.84.19064.2.84.19130
16764.2.84.192/2764.2.84.193 to 64.2.84.22264.2.84.22330
16864.2.84.224/2764.2.84.225 to 64.2.84.25464.2.84.25530
16964.2.85.0/2764.2.85.1 to 64.2.85.3064.2.85.3130
17064.2.85.32/2764.2.85.33 to 64.2.85.6264.2.85.6330
17164.2.85.64/2764.2.85.65 to 64.2.85.9464.2.85.9530
17264.2.85.96/2764.2.85.97 to 64.2.85.12664.2.85.12730
17364.2.85.128/2764.2.85.129 to 64.2.85.15864.2.85.15930
17464.2.85.160/2764.2.85.161 to 64.2.85.19064.2.85.19130
17564.2.85.192/2764.2.85.193 to 64.2.85.22264.2.85.22330
17664.2.85.224/2764.2.85.225 to 64.2.85.25464.2.85.25530
17764.2.86.0/2764.2.86.1 to 64.2.86.3064.2.86.3130
17864.2.86.32/2764.2.86.33 to 64.2.86.6264.2.86.6330
17964.2.86.64/2764.2.86.65 to 64.2.86.9464.2.86.9530
18064.2.86.96/2764.2.86.97 to 64.2.86.12664.2.86.12730
18164.2.86.128/2764.2.86.129 to 64.2.86.15864.2.86.15930
18264.2.86.160/2764.2.86.161 to 64.2.86.19064.2.86.19130
18364.2.86.192/2764.2.86.193 to 64.2.86.22264.2.86.22330
18464.2.86.224/2764.2.86.225 to 64.2.86.25464.2.86.25530
18564.2.87.0/2764.2.87.1 to 64.2.87.3064.2.87.3130
18664.2.87.32/2764.2.87.33 to 64.2.87.6264.2.87.6330
18764.2.87.64/2764.2.87.65 to 64.2.87.9464.2.87.9530
18864.2.87.96/2764.2.87.97 to 64.2.87.12664.2.87.12730
18964.2.87.128/2764.2.87.129 to 64.2.87.15864.2.87.15930
19064.2.87.160/2764.2.87.161 to 64.2.87.19064.2.87.19130
19164.2.87.192/2764.2.87.193 to 64.2.87.22264.2.87.22330
19264.2.87.224/2764.2.87.225 to 64.2.87.25464.2.87.25530
19364.2.88.0/2764.2.88.1 to 64.2.88.3064.2.88.3130
19464.2.88.32/2764.2.88.33 to 64.2.88.6264.2.88.6330
19564.2.88.64/2764.2.88.65 to 64.2.88.9464.2.88.9530
19664.2.88.96/2764.2.88.97 to 64.2.88.12664.2.88.12730
19764.2.88.128/2764.2.88.129 to 64.2.88.15864.2.88.15930
19864.2.88.160/2764.2.88.161 to 64.2.88.19064.2.88.19130
19964.2.88.192/2764.2.88.193 to 64.2.88.22264.2.88.22330
20064.2.88.224/2764.2.88.225 to 64.2.88.25464.2.88.25530
20164.2.89.0/2764.2.89.1 to 64.2.89.3064.2.89.3130
20264.2.89.32/2764.2.89.33 to 64.2.89.6264.2.89.6330
20364.2.89.64/2764.2.89.65 to 64.2.89.9464.2.89.9530
20464.2.89.96/2764.2.89.97 to 64.2.89.12664.2.89.12730
20564.2.89.128/2764.2.89.129 to 64.2.89.15864.2.89.15930
20664.2.89.160/2764.2.89.161 to 64.2.89.19064.2.89.19130
20764.2.89.192/2764.2.89.193 to 64.2.89.22264.2.89.22330
20864.2.89.224/2764.2.89.225 to 64.2.89.25464.2.89.25530
20964.2.90.0/2764.2.90.1 to 64.2.90.3064.2.90.3130
21064.2.90.32/2764.2.90.33 to 64.2.90.6264.2.90.6330
21164.2.90.64/2764.2.90.65 to 64.2.90.9464.2.90.9530
21264.2.90.96/2764.2.90.97 to 64.2.90.12664.2.90.12730
21364.2.90.128/2764.2.90.129 to 64.2.90.15864.2.90.15930
21464.2.90.160/2764.2.90.161 to 64.2.90.19064.2.90.19130
21564.2.90.192/2764.2.90.193 to 64.2.90.22264.2.90.22330
21664.2.90.224/2764.2.90.225 to 64.2.90.25464.2.90.25530
21764.2.91.0/2764.2.91.1 to 64.2.91.3064.2.91.3130
21864.2.91.32/2764.2.91.33 to 64.2.91.6264.2.91.6330
21964.2.91.64/2764.2.91.65 to 64.2.91.9464.2.91.9530
22064.2.91.96/2764.2.91.97 to 64.2.91.12664.2.91.12730
22164.2.91.128/2764.2.91.129 to 64.2.91.15864.2.91.15930
22264.2.91.160/2764.2.91.161 to 64.2.91.19064.2.91.19130
22364.2.91.192/2764.2.91.193 to 64.2.91.22264.2.91.22330
22464.2.91.224/2764.2.91.225 to 64.2.91.25464.2.91.25530
22564.2.92.0/2764.2.92.1 to 64.2.92.3064.2.92.3130
22664.2.92.32/2764.2.92.33 to 64.2.92.6264.2.92.6330
22764.2.92.64/2764.2.92.65 to 64.2.92.9464.2.92.9530
22864.2.92.96/2764.2.92.97 to 64.2.92.12664.2.92.12730
22964.2.92.128/2764.2.92.129 to 64.2.92.15864.2.92.15930
23064.2.92.160/2764.2.92.161 to 64.2.92.19064.2.92.19130
23164.2.92.192/2764.2.92.193 to 64.2.92.22264.2.92.22330
23264.2.92.224/2764.2.92.225 to 64.2.92.25464.2.92.25530
23364.2.93.0/2764.2.93.1 to 64.2.93.3064.2.93.3130
23464.2.93.32/2764.2.93.33 to 64.2.93.6264.2.93.6330
23564.2.93.64/2764.2.93.65 to 64.2.93.9464.2.93.9530
23664.2.93.96/2764.2.93.97 to 64.2.93.12664.2.93.12730
23764.2.93.128/2764.2.93.129 to 64.2.93.15864.2.93.15930
23864.2.93.160/2764.2.93.161 to 64.2.93.19064.2.93.19130
23964.2.93.192/2764.2.93.193 to 64.2.93.22264.2.93.22330
24064.2.93.224/2764.2.93.225 to 64.2.93.25464.2.93.25530
24164.2.94.0/2764.2.94.1 to 64.2.94.3064.2.94.3130
24264.2.94.32/2764.2.94.33 to 64.2.94.6264.2.94.6330
24364.2.94.64/2764.2.94.65 to 64.2.94.9464.2.94.9530
24464.2.94.96/2764.2.94.97 to 64.2.94.12664.2.94.12730
24564.2.94.128/2764.2.94.129 to 64.2.94.15864.2.94.15930
24664.2.94.160/2764.2.94.161 to 64.2.94.19064.2.94.19130
24764.2.94.192/2764.2.94.193 to 64.2.94.22264.2.94.22330
24864.2.94.224/2764.2.94.225 to 64.2.94.25464.2.94.25530
24964.2.95.0/2764.2.95.1 to 64.2.95.3064.2.95.3130
25064.2.95.32/2764.2.95.33 to 64.2.95.6264.2.95.6330
25164.2.95.64/2764.2.95.65 to 64.2.95.9464.2.95.9530
25264.2.95.96/2764.2.95.97 to 64.2.95.12664.2.95.12730
25364.2.95.128/2764.2.95.129 to 64.2.95.15864.2.95.15930
25464.2.95.160/2764.2.95.161 to 64.2.95.19064.2.95.19130
25564.2.95.192/2764.2.95.193 to 64.2.95.22264.2.95.22330
25664.2.95.224/2764.2.95.225 to 64.2.95.25464.2.95.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses